%{?mingw_package_header}

%global pkgname qwtpolar

Name:           mingw-%{pkgname}
Version:        1.1.1
Release:        2%{?dist}
Summary:        MinGW Windows %{pkgname} library
BuildArch:      noarch

License:        LGPLv2 with exceptions
URL:            http://qwtpolar.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{pkgname}/%{pkgname}-%{version}.tar.bz2

# Use system qt_install paths
Patch0:        qwtpolar-1.1.1-qt_install_paths.patch
# Mingw fixes
Patch1:        qwtpolar-1.1.1_mingw.patch
# Place built libraries inside build directory to prevent mingw64 build
# overwriting mingw32 built
Patch2:        qwtpolar-1.1.1_libdestdir.patch

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw32-qwt

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc-c++
BuildRequires: mingw64-qwt


%description
MinGW Windows %{pkgname} library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

%description -n mingw32-%{pkgname}
MinGW Windows %{pkgname} library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

%description -n mingw64-%{pkgname}
MinGW Windows %{pkgname} library.


%{?mingw_debug_package}


%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

chmod 644 COPYING

# Don't build designer plugin
sed -i 's|QWT_POLAR_CONFIG     += QwtPolarDesigner|# QWT_POLAR_CONFIG     += QwtPolarDesigner|' qwtpolarconfig.pri


%build
%mingw_qmake_qt4 ../%{pkgname}.pro
%mingw_make %{?_smp_mflags}


%install
%mingw_make install INSTALL_ROOT=%{buildroot}

# Fix library names and installation folders
mkdir -p %{buildroot}%{mingw32_bindir}
mv %{buildroot}%{mingw32_libdir}/qwtpolar1.dll %{buildroot}%{mingw32_bindir}/qwtpolar1.dll
mv %{buildroot}%{mingw32_libdir}/libqwtpolar1.a %{buildroot}%{mingw32_libdir}/libqwtpolar.dll.a

mkdir -p %{buildroot}%{mingw64_bindir}
mv %{buildroot}%{mingw64_libdir}/qwtpolar1.dll %{buildroot}%{mingw64_bindir}/qwtpolar1.dll
mv %{buildroot}%{mingw64_libdir}/libqwtpolar1.a %{buildroot}%{mingw64_libdir}/libqwtpolar.dll.a

# Delete documentation
rm -rf %{buildroot}%{mingw32_docdir}
rm -rf %{buildroot}%{mingw64_docdir}

%files -n mingw32-%{pkgname}
%license COPYING
%{mingw32_bindir}/qwtpolar1.dll
%{mingw32_libdir}/libqwtpolar.dll.a
%{mingw32_datadir}/qt4/mkspecs/features/%{pkgname}*
%{mingw32_includedir}/qwt_polar*.h

%files -n mingw64-%{pkgname}
%license COPYING
%{mingw64_bindir}/qwtpolar1.dll
%{mingw64_libdir}/libqwtpolar.dll.a
%{mingw64_datadir}/qt4/mkspecs/features/%{pkgname}*
%{mingw64_includedir}/qwt_polar*.h


%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jun 24 2015 Sandro Mani <manisandro@gmail.com>  - 1.1.1-1
- Initial package
